CAD Forum - tips, tricks, discussion and utilities for AutoCAD, Inventor and other Autodesk products [www.cadforum.cz]
Cesky English Deutsch
Login/Register:
 Visitors: 3275 

CAD tip CAD tip # 5362:

Question CAD 
 %  platform  category 
Q - question

How to switch current AutoCAD profile programmatically?

A - answer To switch to a different AutoCAD profile from a macro, script or a user application, you can use the command:
_VBASTMT
ThisDrawing.Application.Preferences.Profiles.ActiveProfile = "PROFILENAME"
Alternatively you can use a VisualLISP function:
(defun SetProfile (profilename)
 (vl-load-com)
 (vla-put-ActiveProfile
  (vla-get-Profiles
   (vla-get-Preferences
    (vlax-get-acad-object)
   )
  )
  profilename
 )
)
You may also make use of the Workspace functionality.
ACAD
100% *  CAD 
15.1.2007    11248x  
Comments   Tell a friend
applies to: AutoCAD ·

See also:
Tip 11145:AutoCAD: Customization file load failed.
Tip 10748:Where is stored the list of variables for SYSVARMONITOR?
Tip 9889:How to turn off Design Check Symbols in Superelevation View?
Tip 9711:3DConstruct - converting a 3D mesh to a frame construct
Tip 9509:Hardware acceleration setting not saved, defaults to OFF.


Back   All CAD Tips All CAD tips&tricks

My button tooltips have disappeared. « | » How to create an axis of two lines?

Have we helped you? If you want to support the CAD Forum web service, consider buying one of our CAD applications, or our custom software development offerings, or donating via PayPal (see above). You may also add a link to your web - like this "fan" link: CAD Forum - tips, utilities, blocks for Autodesk products
CAD:    OS:    Categ: 
Text:  FAQ glossary   



Featuring:
Publish interactive 3D PDF models from AutoCAD, Inventor or Revit with Share3D More info


Please use these tips at your own risk.
CAD Studio (Xanadu) is not responsible for possible problems that may occur as a result of using any of these tips.
TOPlist